org.codehaus.groovy.runtime.metaclass

## Class MethodHelper

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.MethodHelper

    public class MethodHelper
    extends java.lang.Object

Some reflection helper methods

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`MethodHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isPublic(java.lang.reflect.Method method)`
`static boolean` `isStatic(java.lang.reflect.Method method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodHelper

    public MethodHelper()

### Method Detail

#### isStatic

    public static boolean isStatic(java.lang.reflect.Method method)

#### isPublic

    public static boolean isPublic(java.lang.reflect.Method method)